<?php

namespace Mnv\Core;

use Mnv\Core\Singleton\SingletonTrait;

/**
 * Class Maps
 * @package Mnv\Core
 */
class Maps
{

    use SingletonTrait;

    /** @var array|mixed|null  */
    private $_maps;


    public function __construct()
    {
       $this->_maps = connect('maps')->select('codename, value')->indexKey('codename')->valueKey('value')->getAllIndexes('array');

    }

    /**
     * @return array|mixed|null
     */
    public function get()
    {
        return $this->_maps;
    }
}